//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Data/DataItemUtils.h
//! @brief     Defines functions in  namespace GUI::Model::DataItemUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_DATA_DATAITEMUTILS_H
#define BORNAGAIN_GUI_MODEL_DATA_DATAITEMUTILS_H

class IntensityDataItem;
class SessionItem;
class SpecularDataItem;

//! Utility functions for Intensity and Specular DataItems

namespace GUI::Model::DataItemUtils {

//! Returns IntensityDataItem contained as a child in givent parent.
IntensityDataItem* intensityDataItem(SessionItem* parent);

//! Returns SpecularDataItem contained as a child in givent parent.
SpecularDataItem* specularDataItem(SessionItem* parent);

} // namespace GUI::Model::DataItemUtils

#endif // BORNAGAIN_GUI_MODEL_DATA_DATAITEMUTILS_H
