//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Group/ItemFactory.cpp
//! @brief     Implements class ItemFactory
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Group/ItemFactory.h"
#include "GUI/Model/Group/ItemCatalog.h"
#include "GUI/Model/Session/SessionItem.h"

SessionItem* GUI::Model::ItemFactory::CreateItem(const QString& model_name, SessionItem* parent)
{
    SessionItem* result = ItemCatalog::instance().createItemPtr(model_name).release();
    if (parent)
        parent->insertItem(-1, result);

    return result;
}

SessionItem* GUI::Model::ItemFactory::CreateEmptyItem()
{
    return new SessionItem("ROOT_ITEM");
}
