//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Fit/JobMessagePanel.h
//! @brief     Defines class JobMessagePanel
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FIT_JOBMESSAGEPANEL_H
#define BORNAGAIN_GUI_VIEW_FIT_JOBMESSAGEPANEL_H

#include "GUI/View/Common/InfoPanel.h"
#include "GUI/View/Fit/FitLog.h"
#include <QColor>

class QTextEdit;

//! The JobMessagePanel class shows log messages from FitActivityPanel at the
//! bottom part of JobView.

class JobMessagePanel : public InfoPanel {
    Q_OBJECT
public:
    JobMessagePanel(QWidget* parent = nullptr);

public slots:
    void onClearLog();
    void appendMessage(const FitLog::Message& message);
    void setLog(FitLog* log);

private:
    FitLog* m_log;
    QTextEdit* m_plainLog;
};

#endif // BORNAGAIN_GUI_VIEW_FIT_JOBMESSAGEPANEL_H
