//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/Detail/CreateDetails.cpp
//! @brief     Defines GUI::Detail namespace
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/View/Instrument/Detail/CreateDetails.h"
#include "GUI/View/Instrument/Detail/detailswidget.h"

namespace {

GUI::FromQt::DetailsWidget* createEmptyDetailsWidget(const QString& name, bool expanded)
{
    auto* result = new GUI::FromQt::DetailsWidget;
    result->setSummaryText(name);
    result->setSummaryFontBold(true);
    if (expanded)
        result->setState(GUI::FromQt::DetailsWidget::Expanded);
    return result;
}

} // namespace


QWidget* GUI::Detail::createDetailsWidget(QWidget* content, const QString& name, bool expanded)
{
    auto* result = createEmptyDetailsWidget(name, expanded);
    result->setWidget(content);
    return result;
}

QWidget* GUI::Detail::createDetailsWidget(QLayout* layout, const QString& name, bool expanded)
{
    auto* placeholder = new QWidget();
    placeholder->setLayout(layout);
    return createDetailsWidget(placeholder, name, expanded);
}
