//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/Detail/CreateDetails.h
//! @brief     Defines GUI::StyleUtils namespace
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_DETAIL_CREATEDETAILS_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_DETAIL_CREATEDETAILS_H

#include <QString>

class QWidget;
class QLayout;
class QWidget;

namespace GUI::Detail {

//! Creates details widget holding user content inside.
QWidget* createDetailsWidget(QWidget* content, const QString& name, bool expanded = true);

//! Creates details widget holding user layout inside.
QWidget* createDetailsWidget(QLayout* layout, const QString& name, bool expanded = true);

} // namespace GUI::Detail

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_DETAIL_CREATEDETAILS_H
