//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Toplevel/WelcomeView.h
//! @brief     Defines class WelcomeView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_TOPLEVEL_WELCOMEVIEW_H
#define BORNAGAIN_GUI_VIEW_TOPLEVEL_WELCOMEVIEW_H

#include <QWidget>

class ProjectManager;

namespace Ui {
class WelcomeView;
}

class WelcomeView : public QWidget {
    Q_OBJECT
public:
    WelcomeView(QWidget* parent);

private:
    ProjectManager* projectManager();
    void updateRecentProjectPanel();

    Ui::WelcomeView* m_ui;
};

#endif // BORNAGAIN_GUI_VIEW_TOPLEVEL_WELCOMEVIEW_H
