#include "GUI/Model/Sample/FTDistributionItems.h"
#include "Tests/GTestWrapper/google_test.h"

class TestFTDistributionItems : public ::testing::Test {
};

TEST_F(TestFTDistributionItems, FTDistribution1DCauchy)
{
    // to domain
    FTDistribution1DCauchyItem item;
    item.omega().set(2.0);
    auto pdf = item.createFTDistribution();
    const auto* cauchy = dynamic_cast<FTDistribution1DCauchy*>(pdf.get());
    EXPECT_EQ(cauchy->omega(), 2.0);

    // from domain
    FTDistribution1DCauchy pdf2(3.0);
    FTDistribution1DCauchyItem item2;
    item2.omega().set(pdf2.omega());
    EXPECT_EQ(item2.omega(), 3.0);
}
